main {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

main div {
    display: flex;
    gap: 16px;
}

.filters {
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 350px;
    min-width: 250px;
    background: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
    color: white;
    border-radius: 10px;
    padding: 16px;
}

.textbook-element__title {
    font-weight: 600;
}

.textbook-container {
    display: flex;
    gap: 16px;
    flex-grow: 1;
    width: 100%;
    flex-wrap: wrap;
}

.textbook-element__container {
    display: flex;
    flex-direction: column;
    min-height: 150px;
    max-height: 200px;
    justify-content: space-between;
    position: relative;
    cursor: pointer;
    width: 250px;
    background: white;
    padding: 16px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease;
}

.textbook-element__container:hover {
    scale: 1.1;
}

.textbook-element__icon {
    position: absolute;
    font-size: 32px;
    right: -16px;
    top: -16px;
}

.textbook-element__container div {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.textbook-element__container div p {
    font-size: 14px;
}

.textbook-element__favorite {
    position: absolute;
    font-size: 20px;
    right: 12px;
    bottom: 12px;
}

.filters select,
.filters input {
    width: 100%;
    font-size: 16px;
    padding: 8px 0;
    border-radius: 8px;
}


#add-lesson-form {
    display: flex;
    flex-direction: column;
    gap: 16px;
    justify-content: space-between;
    position: relative;
    background: white;
    padding: 16px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease;
}

#add-lesson-form select,
#add-lesson-form input,
#add-lesson-form textarea {
    width: 100%;
    font-size: 16px;
    padding: 8px 0;
    border-radius: 8px;
}


.filters input,
#add-lesson-form input,
#add-lesson-form textarea {
    padding-left: 8px;
}

#new-description,
#new-content {
    overflow-y: hidden;
    /* скрываем вертикальную полосу прокрутки */
    resize: none;
    /* отключаем ручное изменение размера, если нужно */
    min-height: 60px;
    /* минимальная высота */
    width: 100%;
    box-sizing: border-box;
}